scala

# Unit

#### final class Unit extends AnyVal

Unit is a member of the value classes, those whose instances are not represented as objects by the underlying host system. There is only one value of type Unit: `()`.

Source
  Unit.scala

Linear Supertypes
AnyVal, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Unit
2. AnyVal
3. Any

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     Any

3. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

4. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

5. #### def equals(arg0: Any): Boolean

   Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

   Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

   The default implementations of this method is an equivalence relation:

   - It is reflexive: for any instance `x` of type `Any`, `x.equals(x)` should return `true`.
   - It is symmetric: for any instances `x` and `y` of type `Any`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
   - It is transitive: for any instances `x`, `y`, and `z` of type `AnyRef` if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.

   If you override this method, you should verify that your implementation remains an equivalence relation. Additionally, when overriding this method it is usually necessary to override `hashCode` to ensure that objects which are "equal" (`o1.equals(o2)` returns `true`) hash to the same Int. (`o1.hashCode.equals(o2.hashCode)`).

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def getClass(): Class[Unit]

   Returns the runtime class representation of the object.

   Returns the runtime class representation of the object.

   returns

     a class object corresponding to the static type of the receiver

   Definition Classes
     Unit → Any

7. #### def hashCode(): Int

   Calculate a hash code value for the object.

   Calculate a hash code value for the object.

   The default hashing algorithm is platform dependent.

   Note that it is allowed for two objects to have identical hash codes (`o1.hashCode.equals(o2.hashCode)`) yet not be equal (`o1.equals(o2)` returns `false`). A degenerate implementation could always return `0`. However, it is required that if two objects are equal (`o1.equals(o2)` returns `true`) that they have identical hash codes (`o1.hashCode.equals(o2.hashCode)`). Therefore, when overriding this method, be sure to verify that the behavior is consistent with the `equals` method.

   returns

     the hash code value for this object.

   Definition Classes
     Any

8. #### final def isInstanceOf[T0]: Boolean

   Test whether the dynamic type of the receiver object is `T0`.

   Test whether the dynamic type of the receiver object is `T0`.

   Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

   returns

     `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

   Definition Classes
     Any

9. #### def toString(): String

   Returns a string representation of the object.

   Returns a string representation of the object.

   The default representation is platform dependent.

   returns

     a string representation of the object.

   Definition Classes
     Any

### Inherited from AnyVal

### Inherited from Any